/*
 * @Author: wrh
 * @Date: 2025-04-08 14:23:04
 * @LastEditors: wrh
 * @LastEditTime: 2025-04-08 14:36:25
 */
import request from '@/utils/request'

// 查询cmc聊天记录列表
export function listChat(query) {
  return request({
    url: '/llm/chat/list',
    method: 'get',
    params: query
  })
}

// 查询cmc聊天记录详细
export function getChat(chatId) {
  return request({
    url: '/llm/chat/' + chatId,
    method: 'get'
  })
}

// 新增cmc聊天记录
export function addChat(data) {
  return request({
    url: '/llm/chat',
    method: 'post',
    data: data
  })
}

// 修改cmc聊天记录
export function updateChat(data) {
  return request({
    url: '/llm/chat',
    method: 'put',
    data: data
  })
}

// 删除cmc聊天记录
export function delChat(chatId) {
  return request({
    url: '/llm/chat/' + chatId,
    method: 'delete'
  })
}
